[]
        
(Showing Draft Content)

wijmo.angular2.grid.grouppanel Module

wijmo.angular2.grid.grouppanel Module

Contains Angular 2 components for the wijmo.grid.grouppanel module.

wijmo.angular2.grid.grouppanel is an external TypeScript module that can be imported to your code using its ambient module name. For example:

import * as wjPanel from 'wijmo/wijmo.angular2.grid.grouppanel';
import * as wjGrid from 'wijmo/wijmo.angular2.grid';
 
@Component({
    directives: [wjGrid.WjFlexGrid, wjPanel.WjGroupPanel],
    template: `
      <wj-group-panel
          [grid]="flex"
          [placeholder]="'Drag columns here to create groups.'">
      </wj-group-panel>
      <wj-flex-grid #flex [itemsSource]="data">
      </wj-flex-grid>`,
    selector: 'my-cmp',
})
export class MyCmp {
    data: any[];
}

Classes

Vue component that encapsulates the wijmo.grid.grouppanel.GroupPanel control.
The example below shows how to instantiate and connect a wijmo.grid.grouppanel.GroupPanel and a wijmo.grid.FlexGrid in Vue:
<wj-group-panel id="thePanel" placeholder="Drag columns here to create Groups"> </wj-group-panel> <wj-flex-grid id="theGrid" :items-source="data"> </wj-flex-grid>
var app = new Vue({ el: '#app', // connect group panel and grid mounted: function () { var panel = wijmo.Control.getControl(document.getElementById('thePanel')); var grid = wijmo.Control.getControl(document.getElementById('theGrid')); panel.grid = grid; } });
Wijmo interop module for Vue 2.
This module provides Vue 2 components that encapsulate Wijmo controls.
To use it, your application must include references to the Vue 2 framework (RC6 or later), as well as the regular Wijmo CSS and js files.
To add Wijmo controls to Vue pages, include the appropriate tags in your HTML files. For example, the code below adds an InputNumber control to a Vue page:
<wj-input-number format="c2" placeholder="Sales" :value="sales" :value-changed="salesChanged" :min="0" :max="10000" :step="100" :is-required="false"> </wj-input-number>
// Wijmo event handler // update "sales" value to match the InputNumber value function salesChanged(sender, eventArgs) { this.sales = sender.value; }
The example illustrates the following important points:
:min="0"
).:value-changed="salesChanged"
).All Wijmo Vue components include an "initialized" event that is raised after the control has been added to the page and initialized. You can use this event to perform additional initialization in addition to setting properties in markup. For example: